Bug 186307 - RHEL3U7 fails installation using RSA(2).
RHEL3U7 fails installation using RSA(2).
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
Reported: 2006-03-22 15:15 EST by Konrad Rzeszutek
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-20 09:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output from /proc/bus/usb/devices (2.03 KB, text/plain)
2006-03-22 15:15 EST, Konrad Rzeszutek
no flags Details
Candidate #1 - Per-adapter max_sectors (1.82 KB, patch)
2006-04-18 05:15 EDT, Pete Zaitcev
no flags Details | Diff
Patch which was posted for review. Re-worked from Pete's. Added extra ProductIDs (2.22 KB, patch)
2006-04-19 00:15 EDT, Konrad Rzeszutek
no flags Details | Diff

  None (edit)
Description Konrad Rzeszutek 2006-03-22 15:15:02 EST
Description of problem:
When installaing RHEL3U7 remotly using the RSA(2) adapter the installation fails
- during the check media and also when installing packages. 

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1). From a remote host bring up a Java enabled browser to the RSA(2) device.
Select the Remote Control. In the new window click on the "Select file" to
select the RHEL3 U7 ISO image. Hit "Mount Drive"

2). Boot up the machine

3). Go through the steps of installing RHEL3 U7 and see it fail during media
check or during installation (packages are not read correctly)

Actual results:

Installation fails.

Expected results:
Installation succceeds.

Additional info:

With further discovery using an USB analyzer tool it became evident that
the RSA(2) emulates the USB CDROM. And since network latency is an issue here,
the RSA(2) adapter returns an error when it cannot fulfill the request for 63
sectors. It has no problems when the request is for 60 sectors. 

There are two ways of fixing this: Make the RSA firmware return a different
error that would signal "timeout" and not "error" condition (in discussion) and
blacklist the RSA(2) adapter to set the request to the max of 60 sectors.

For the second purpose I am attaching an output from /proc/bus/usb/devices.

I am getting confirmation from the RSA folks about there being only
one type of VendorID and ProductID.
Comment 1 Konrad Rzeszutek 2006-03-22 15:15:02 EST
Created attachment 126501 [details]
Output from /proc/bus/usb/devices
Comment 2 Konrad Rzeszutek 2006-03-23 08:52:54 EST

The ID will be either:

depending on which version of RSA(2) hardware is used.
Comment 5 Pete Zaitcev 2006-04-18 05:15:15 EDT
Created attachment 127905 [details]
Candidate #1 - Per-adapter max_sectors
Comment 7 Konrad Rzeszutek 2006-04-18 23:30:23 EDT
Patch posted for review.
Comment 8 Konrad Rzeszutek 2006-04-19 00:15:37 EDT
Created attachment 127969 [details]
Patch which was posted for review. Re-worked from Pete's. Added extra ProductIDs
Comment 9 Ernie Petrides 2006-04-23 04:30:53 EDT
Reverting last reassignment.  Looks like patch was Pete's after all.

Konrad, when you get a chance, please ack Pete's patch on rhkernel-list
(and I guess you should explain that you posted it on Pete's behalf after
verifying the fix -- maybe you'll be the first person to ack a patch that
he/she has posted).  :)

Thanks.  -ernie
Comment 10 Konrad Rzeszutek 2006-04-25 11:53:22 EDT

I am not allowed to post ACKs (as I am a "contractor" and not an employee). I
will solicit other people for ACKs and also post an explanation.
Comment 11 Ernie Petrides 2006-04-25 18:07:54 EDT
Hi, Konrad.  I give you permission to "ack" any patch on rhkernel-list
that you feel competent enough to review (on technical grounds).  If
anyone says you can't say "ack", then you can say that you have reviewed
the code changes and support them on their technical merits.

In any case, I'm considering the patch to be yours, so I'll count PeteZ's
ack (as the 2nd one), and I'm queuing the patch for tonight's build.

Cheers.  -ernie
Comment 12 Ernie Petrides 2006-04-26 00:20:13 EDT
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-41.EL).
Comment 15 Red Hat Bugzilla 2006-07-20 09:59:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.